@CONFERENCE{Zhang2009State,
  author = {Zhang, Min and John, Wolfgang and Claffy, KC and Brownlee, Nevil},
  title = {State of the Art in Traffic Classification: A Research Review},
  booktitle = {PAM '09: 10th International Conference on Passive and Active Measurement,
	Student Workshop},
  year = {2009},
}

@INPROCEEDINGS{Karagiannis2004TLI,
  author = {Karagiannis, Thomas and Broido, Andre and Faloutsos, Michalis and
	claffy, Kc},
  title = {Transport layer identification of P2P traffic},
  booktitle = {Proceedings of the 4th ACM SIGCOMM conference on Internet measurement},
  year = {2004},
  series = {IMC '04},
  pages = {121--134},
}

@INPROCEEDINGS{Sen2004Accurate,
  author = {Sen, Subhabrata and Spatscheck, Oliver and Wang, Dongmei},
  title = {Accurate, scalable in-network identification of {P2P} traffic using
	application signatures},
  booktitle = {WWW '04: Proceedings of the 13th international conference on World
	Wide Web},
  year = {2004},
  pages = {512--521},
}

@INPROCEEDINGS{Karagiannis2004Is,
  author = {Thomas Karagiannis and Andre Broido and Nevil Brownlee and Kimberly
	C. Claffy and Michalis Faloutsos},
  title = {Is P2P dying or just hiding?},
  booktitle = {Proceedings of the GLOBECOM 2004 Conference},
  year = {2004},
}

@ARTICLE{Karagiannis2003File-sharing,
  author = {Karagiannis, T. and Broido, A. and Brownlee, N. and Claffy, K. and
	Faloutsos, M.},
  title = {File-sharing in the Internet: A characterization of P2P traffic in
	the backbone},
  journal = {University of California, Riverside, USA, Tech. Rep},
  year = {2003},
}

@INPROCEEDINGS{Ngiwlay2008BPI,
  author = {Ngiwlay, Wanchai and Intanagonwiwat, Chalermek and Teng-amnuay, Yunyong},
  title = {Bittorrent peer identification based on behaviors of a choke algorithm},
  booktitle = {Proceedings of the 4th Asian Conference on Internet Engineering},
  year = {2008},
  series = {AINTEC '08},
  pages = {65--74},
}

@INPROCEEDINGS{Li2008Real-Time,
	author={Jun Li and Shunyi Zhang and Yanqing Lu and Junrong Yan},
	booktitle={Global Telecommunications Conference, 2008. IEEE GLOBECOM 2008. IEEE},
	title={Real-Time P2P Traffic Identification},
	year={2008},
	month={Nov},
	pages={1-5},
}

@TECHREPORT{John2010Breaking-techreport,
  author = {Erik Hjelmvik and Wolfgang John},
  title = {{Breaking and Improving Protocol Obfuscation}},
  institution = {Chalmers University of Technology},
  year = {2010},
  number = {123751},
}

@CONFERENCE{Hjelmvik2009Statistical,
  author = {Hjelmvik, Erik and John, Wolfgang},
  title = {Statistical Protocol IDentification with SPID: Preliminary Results},
  booktitle = {SNCNW'09: 6th Swedish National Computer Networking Workshop},
  year = {2009},
}

@MISC{Hjelmvik2008SPID,
  author = {Hjelmvik, Erik and John, Wolfgang},
  title = {SPID Statistical Protocol IDentification},
  howpublished = {online},
  year = {2008},
  note = {retrieved 2012-01-12},
}

@inproceedings{Lv2002SRU,
 author = {Lv, Qin and Cao, Pei and Cohen, Edith and Li, Kai and Shenker, Scott},
 title = {Search and Replication in Unstructured Peer-to-peer Networks},
 booktitle = {Proceedings of the 16th International Conference on Supercomputing},
 series = {ICS '02},
 year = {2002},
 pages = {84--95},
} 

@INPROCEEDINGS{Maymounkov2002Kademlia,
  author = {Maymounkov, P. and Mazi{\`e}res, D.},
  title = {{Kademlia}: A peer-to-peer information system based on the {XOR}
	metric},
  booktitle = {Proceedings of the 1st International Workshop on Peer-to-Peer Systems
	(IPTPS '02)},
  year = {2002},
  volume = {258},
}

@INPROCEEDINGS{Castro2005Debunking,
  author = {Castro,, Miguel and Costa,, Manuel and Rowstron,, Antony},
  title = {Debunking some myths about structured and unstructured overlays},
  booktitle = {NSDI'05: Proceedings of the 2nd conference on Symposium on Networked
	Systems Design \& Implementation},
  year = {2005},
  pages = {85--98},
}

@ARTICLE{theguardian2013Microsoft,
  author = {Glenn Greenwald and Ewen MacAskill and Laura Poitras and Spencer Ackerman and Dominic Rushe},
  title = {Microsoft handed the NSA access to encrypted messages},
  journal = {The Guardian},
  year = {2013},
  month = jul,
  howpublished = {online},
  url = {http://www.theguardian.com/world/2013/jul/11/microsoft-nsa-collaboration-user-data}
}

@MISC{VuzeMSE,
  author = {Vuze},
  title = {Message Stream Encryption},
  howpublished = {online},
  note = {retrieved 2012.01.12},
  url = {http://wiki.vuze.com/w/Message_Stream_Encryption}
}

@MISC{various2007Debate,
  author = {various},
  title = {Debate over Protocol Encryption},
  howpublished = {online},
  year = {2007},
  note = {retrieved 2012.01.12},
  url = {http://forum.utorrent.com/viewtopic.php?id=5742}
}

@MISC{EDKObfuscation,
  title = {EDKObfuscation},
  howpublished = {http://mldonkey.sourceforge.net/EDKObfuscation},
  note = {retrieved 2012.01.12},
  url = {http://mldonkey.sourceforge.net/EDKObfuscation}
}

@MISC{eMuleProtocolObfuscation,
  title = {eMule Protocol obfuscation},
  howpublished = {online},
  note = {retrieved 2012.01.12},
  url = {http://wiki.emule-web.de/index.php/Protocol_obfuscation}
}

@MISC{xilinxlibguide,
  title = {Xilinx ISE 8.1i Libraries Guide},
  howpublished = {online},
  url = {http://www-wjp.cs.uni-saarland.de/lehre/hadeprak/block_ss11/lib.pdf},
  note = {retrieved 2014.02.24},
}

@MANUAL{rfc791,
  title = {RFC 791 Internet Protocol - DARPA Inernet Programm, Protocol Specification},
  author = {Postel, Jon},
  organization = {Internet Engineering Task Force},
  month = {September},
  year = {1981},
}

@ARTICLE{Zink2014EHT,
  author = {Thomas Zink and Marcel Waldvogel},
  title = {{Efficient Hash Tables for Network Applications}},
  journal = {Scalable Computing},
  year = {2014},
}

@MISC{pcap,
  title = {Snort},
  howpublished = {online},
  url = {http://www.tcpdump.org/},
  note = {retrieved 2014.01.09},
}

@ARTICLE{Dainotti2012Issues,
  author = {Dainotti, A. and Pescapè, A. and Claffy, K.},
  title = {Issues and future directions in traffic classification},
  journal = {IEEE Network},
  year = {2012},
  volume = {26},
  pages = {35-40},
  number = {1},
  month = {Jan},
}

@ARTICLE{Salgarelli2007CTC,
  author = {Salgarelli, Luca and Gringoli, Francesco and Karagiannis, Thomas},
  title = {Comparing traffic classifiers},
  journal = {SIGCOMM Comput. Commun. Rev.},
  year = {2007},
  volume = {37},
  pages = {65--68},
  number = {3},
  month = jul,
}

@ARTICLE{Nguyen2008ITCML,
  author = {Nguyen, T.T.T. and Armitage, G.},
  title = {A survey of techniques for internet traffic classification using
	machine learning},
  journal = {Communications Surveys Tutorials, IEEE},
  year = {2008},
  volume = {10},
  pages = {56--76},
  number = {4},
}

@MISC{ndpi,
  title = {nDPI},
  howpublished = {online},
  note = {retrieved 2013.05.21},
  url = {http://www.ntop.org/products/ndpi/}
}

@MISC{opendpi,
  title = {OpenDPI},
  howpublished = {online},
  note = {retrieved 2012.01.12},
  url = {http://www.opendpi.org/}
}